select{
	padding: .25rem !important;
}

textarea{
	resize: none;
}

.card-lista-cadastro{
	height: 85vh;
}

.card-lista-cad-classes{
	height: 89vh;
}

.col-form-label,
.form-label{
	font-size: 0.75rem; /* 12px */
}

.form-control,
.input-group-sm>.form-control{
	font-size: 0.8rem; /* 12.8px */
}

.obrigatorio:after{
	content: "*";
	padding-left: 0.125rem; /* 2px */
	color: #f00;
}
.observacao:after{
	content: "*";
	padding-left: 0.125rem; /* 2px */
	color: #fff;
}

.select-multi-level{
	top: 92%;
	bottom: auto;
	max-height: 20rem; /* 320px */
}

/*** FORM DE FILTRO --filtro lista clientes-- ***/
.btn-filtro-wrapper{
	margin-top: 0.25rem; /* 4px */
	text-align: right;
}

.form-filtro .form-group{
	margin-bottom: 0.3125rem; /* 5px */
	padding-left: 0;
}

.form-label{
	/*width: 100%;*/
	margin-bottom: 0;
}

.sessao-filtro{
	margin-bottom: 0.9375rem; /* 15px */
	font-size: 1rem; /* 16px */
	font-weight: 600;
}


div.emailEtapas{
	max-height:172px;
	overflow-x:hidden;
	overflow-y: auto;
}

div.listaEmailEtapa div label{
	font-weight: 600;
	padding-bottom: 0.25em;
}

/*** FORM DE TEMPLATE DE NOTIFICACAO ***/
	#divAssunto .ck-editor__editable{
		min-height: 1.25rem !important; /* 20px */
		padding: 0.15rem 0.5rem; /* 4px 8px */
	}

	#divAssunto .ck-editor__editable p{
		margin: 0;
	}

	#divCorpo .ck-editor__editable{
		min-height: 33rem !important; /* 528px */
		background: #f1f1f1 !important;
	}

	#divAssunto div.ck-toolbar_grouping{
		border:0;
	}
	
	#divCorpo .ck-content p {
		margin: 10px 5px;
    	line-height: 20px;
	}
	

/*** FORM DE NOVA ACAO DE AUTOMACAO ***/
	#divAcaoSol .ck-editor__editable{
		min-height: 1.25rem !important; /* 20px */
		padding: 0.15rem 0.5rem; /* 4px 8px */
	}

	#divAcaoSol .ck-editor__editable p{
		margin: 0;
	}

	#divAcaoSol div.ck-toolbar_grouping{
		border:0;
	}
	
/*** ICONE DE TOOLTIP COM INFO ***/
	.icon-info{
		font-size: 0.6875rem; /* 11px */
	    color: #ff9426;
	}

	.icon-legenda{
		background: #ff9426;
	    color:#000;
	    padding: 0 4px;
	    float:right;
	    position: relative;
	    top:30px;
	    right:8px;
	    z-index:8;
	}

	:hover.icon-legenda{
		background:#ff9426;
	    color:#fff;
	}

	#divAcaoSol .icon-legenda{
		float: none;
	}

/*** INDICADOR DE LABEL COM TOOLTIP ***/
	.com-descricao{
		color: #069 !important;
	}

	.com-descricao-solicita{
		color: #060;
	}

/*** CHECKBOX E RADIO BUTTON CUSTOMIZADOS ***/
/**	.custom-checkbox .custom-control-label::after{
		top: 0.36rem; /* 5.76px */
/**    	left: 0.65rem; /* 10.4px */
/**	}**/

	.custom-checkbox .custom-control-input:checked~.custom-control-label::before,
	.custom-control-input:checked~.custom-control-label::before,
	.custom-radio .custom-control-input:checked~.custom-control-label::before,
	.custom-control-input:checked~.custom-control-label::before{
		border: none;
		background-color: #17a2b8;
	}

	.custom-control-inline {
	    vertical-align: -webkit-baseline-middle;
	}

	.custom-control-label-atributo{
		vertical-align: sub;
	}

	.custom-radio{
		padding-left: 1.2rem;
	}

	.custom-radio .custom-control-label::after,
	.custom-radio .custom-control-label::before{
		/*left: -1px;*/
		width: 0.8rem;
		height: 0.8rem;
	}

	.custom-radio .custom-control-input:checked~.custom-control-label::after{
	    width: 10px;
	    background-position: 4px;
	}

/*** SWITCH BTN CHECKBOX ***/
	.card-checkgroup-right{
		padding: 0.25rem 0.75rem; /* 4px 12px */
	    text-align: right;
	    border-bottom: 1px solid #dfdfdf;
	}

	.card-checkgroup-right .form-label{
		font-size: 0.75rem; /* 12px */
	}

	.card-checkgroup-right .custom-control-label::before,
	.card-checkgroup-right .custom-control-label::after{
		top: 0.625rem; /* 10px */
		right: 10.625rem; /* 170px */
		left: auto;
		width: 0.875rem; /* 14px */
		height: 0.875rem; /* 14px */
	}

/*** SWITCH BTN CHECKBOX ***/
	.switch-btn > input[type="checkbox"]{
	    display: none;   
	}

	.switch-btn-label{
	    position: relative; 
	    width: 36px;
	    height: 0px;
	    margin-bottom: .1rem;
	    background-color: #479eaf;
	    cursor: pointer;
	}

	.switch-btn-label::before{
	    position:absolute;
	    content: '';
	    opacity: 0.3;
	    transition: all 0.4s ease-in-out;
	    width: 36px;
	    height: 9px;
	    margin-top: -7px;
	    border-radius: 8px;
	    box-shadow: inset 0px 0px 10px rgba(0, 0, 0, 0.5);
	    background: rgb(0, 0, 0);
	}

	.switch-btn-label::after{
	    position: absolute;
	    content: '';
	    transition: all 0.3s ease-in-out;
	    width: 18px;
	    height: 18px;
	    top: -12px;
	    left: -2px;
	    border-radius: 16px;
	    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
	    background: rgb(255, 255, 255);
	}

	.switch-btn > input[type="checkbox"]:checked + .switch-btn-label::before{
	    background: inherit;
	    opacity: 0.5;
	}

	.switch-btn > input[type="checkbox"]:checked + .switch-btn-label::after{
	    left: 20px;
	    background: inherit;
	}

/*** TABLET LANDSCAPE DOWN ***/
@media (min-width: 600px) and (max-width: 899px){
	.btn-secondary{
		margin-bottom: 0.3125rem; /* 5px */
	}
}

/*** TABLET LANDSCAPE UP ***/
@media (min-width: 900px){
	.form-filtro .form-group{
		padding-left: 0.5rem; /* 8px */
	}
}